﻿using System;
using WingRtmpService.EmbeddedRtmpServer.Messaging.Events;

namespace WingRtmpService.EmbeddedRtmpServer.Net
{
    interface IPlayer
    {
        event EventHandler Closed;

        string ChannelName { get; }

        bool IsClosed { get;}

        void SendMetaData(VideoData videoConfigureRecord, AudioData audioConfigureRecord);

        void SendAudioData(AudioData audioData);

        void SendVideoData(VideoData videoData);

        void Close();
    }
}
