﻿using System;
using WingRtmpService.EmbeddedRtmpServer.Messaging.Events;

namespace WingRtmpService.EmbeddedRtmpServer.Net
{
    interface IPublisher
    {
        event EventHandler<VideoData> VideoDataReceived;

        event EventHandler<AudioData> AudioDataReceive;

        event EventHandler VideoMetaDataConfigured;

        event EventHandler AudioMetaDataConfigured;

        event EventHandler Closed;

        string ChannelName { get; }

        bool IsClosed { get; }

        VideoData VideoConfigureRecord { get;}

        AudioData AudioConfigureRecord { get;}

        VideoData[] GetVideoCaches();

        void Close();
    }
}
