﻿using System.Threading.Tasks;
using WingRtmpService.ChannelManagers.Messages;

namespace WingRtmpService.ChannelManagers
{
    interface IChannelManager
    {
        ICreateChannelResult CreateChannel(ChannelParameter channelParameter);

        Task<IDeleteChannelResult> DeleteChannelAsync(ChannelParameter channel);
    }
}
