﻿using System;

namespace WingRtmpService.EmbeddedRtmpServer.IO
{
    class ClassDescription
    {
        public string Name { get; }

        public IMemberWrapper[] Members { get; }

        public bool IsExternalizable { get; }

        public bool IsDynamic { get; }

        public bool IsTyped => !string.IsNullOrEmpty(Name);

        public virtual bool TryGetMember(string name, out IMemberWrapper member) { throw new NotImplementedException(); }

        internal ClassDescription(string name, IMemberWrapper[] members, bool externalizable, bool dynamic)
        {
            Name = name;
            Members = members;
            IsExternalizable = externalizable;
            IsDynamic = dynamic;
        }
    }
}
