﻿using System;

namespace WingRtmpService.EmbeddedRtmpServer.Messaging
{
    public class ChannelDataReceivedEventArgs : EventArgs
    {
        public ChannelType Type { get; }

        public RtmpEvent Data { get; }

        public ChannelDataReceivedEventArgs(ChannelType type, RtmpEvent data)
        {
            Type = type;
            Data = data;
        }
    }
}
