﻿using WingRtmpService.EmbeddedRtmpServer.Net;

namespace WingRtmpService.EmbeddedRtmpServer.Messaging.Events
{
    class ChunkSize : RtmpEvent
    {
        public int Size { get; }

        public ChunkSize(int size) : base(MessageType.SetChunkSize)
        {
            if (size > 0xFFFFFF)
                size = 0xFFFFFF;
            Size = size;
        }
    }
}
